if (!String.format) {
    String.format = function(format) {
        var args = Array.prototype.slice.call(arguments, 1);
        return format.replace(/{(\d+)}/g, function(match, number) {
            return typeof args[number] != 'undefined'
                ? args[number]
                : match
                ;
        });
    };
}

Language_En = {
    Code: 'en',
    Mode_walking: 'Walking',
    Mode_cycling: 'Cycling',
    Mode_bus: 'Bus',
    Mode_car: 'Car',
    Mode_train: 'Train',
    Mode_tram: 'Tram',
    Mode_subway: 'Subway',
    Mode_skateboard: 'Rollerblades/skateboard',
    Mode_segway: 'Segway, etc',
    Mode_boat: 'Ferry/passenger boat',
    Mode_other: 'Other',
    NoGpsSignal: 'Location could not be updated. Please check your GPS and/or network connectivity.',
    MapError: 'Det kan hende kartet ikke viser korrekt, men turen blir sporet likevel.',
    LocalTrips: 'You have trips that could not be uploaded. Click here to try again.',
    UploadNow: 'Upload now',
    Purpose_None: 'Select ...',
    Purpose_ToOwnHome: 'To own home',
    Purpose_ToOwnWorkplace: 'To own place of work/study, or in duty',
    Purpose_InDuty: 'In duty',
    Purpose_ShoppingErrand: 'Shopping/errand',
    Purpose_AccompanyOthers: 'Accompany/fetch/bring others',
    Purpose_Visit: 'Visit',
    Purpose_OtherRecreational: 'Other recreational',
    Purpose_Other: 'Other',
    Title_Track: 'Track trip',
    Title_Login: 'Log in',
    Title_Info: 'Information',
    Title_Questions: 'Questions',
    Title_Settings: 'Settings',
    Title_Start: 'SMiO Tracking App',
    Title_Help: 'Help',
    Title_Statistics: 'Stats',
    LogOut: 'Log out',
    ChangeLanguage: 'Change language',
    StartTrip: 'Start tracking',
    InformationShort: 'Info',
    NoGpsNothingLoggedTitle: 'Location outdated',
    NoGpsNothingLoggedMessage: 'Because of GPS and/or connectivity problems, the current location is outdated. Please ensure your GPS is working before attempting to save a favorite location.',
    Error: 'Error',
    Confirm: 'Confirm',
    Cancel: 'Cancel',
    Save: 'Save',
    FailedToSaveFavoriteMessage: 'Failed to save favorite location! Please try again later.',
    ConfirmDeleteFavoriteMessage: 'Are you sure you want to delete the favorite location "{0}"?',
    FailedToDeleteFavoriteMessage: "Failed to delete favorite location! Please try again later.",
    PluralSuffix: 's',
    FailedToUploadTripsMessage: "Failed to upload {0} trip{1}. Please try again later.",
    DeleteFavorite: 'Remove favorite location',
    Worker_SavingTrips: "Saving trips ...",
    Worker_SavingTrip: 'Saving your trip ...',
    Worker_LoggingOut: 'Logging out ...',
    Worker_LoggingIn: 'Logging in ...',
    Worker_ChangingLanguage: 'Changing language ...',
    Worker_LoadingQuestions: 'Looking for questions ...',
    Worker_Loading: 'Loading ...',
    ThisIsYou: 'This is you!',
    NothingToSaveTitle: "Nothing to save",
    NothingToSaveMessage: "Because of GPS and/or connectivity problems, nothing was tracked.",
    StartTracking: 'Start tracking',
    CancelTracking: 'Cancel',
    Navigation_Back: 'Back',
    NoQuestionsNow: 'No questions at this time. Please check back later!',
    SelectOne: 'Select one ...',
    UnsupportedQuestionType: 'Unsupported question type: "{type}"!',
    SubmitAnswers: 'Submit answers',
    ConfirmLogOutMessage: 'Are you sure you want to log out?',
    Setting_GpsHighAccuracy: 'Enable high accuracy GPS:',
    Form_Email: 'Email:',
    Form_Password: 'Password:',
    LogIn: 'Log in',
    FailedToLogInTitle: 'Failed to log in',
    FailedToLogInMessage: 'Could not log in at this time. Please try again later.',
    StopTracking: 'Stop tracking',
    AddFavorite: 'Save favorite location',
    Favorite_Other: 'Recreational activity',
    Favorite_School: 'Own place of work/study',
    Favorite_Kindergarten: 'School/kindergarten for own children',
    Favorite_Home: 'Own home',
    Favorite_NearbyStore: 'Convenience store',
    TrackingHelp: 'To track a trip, click "Start tracking" before the trip begins, and then "Stop tracking" when you have reached your destination.<br /><br />It helps us greatly if you mark important locations on your trip',
    WhatsHere: "What's here?",
    ThanksForMarkingImportantPoint: 'Important point saved. Thanks!',
    MarkImportantLocation: "by clicking here",
    FailedToLoadMessagesTitle: 'Could not load',
    FailedToLoadMessagesMessage: 'Could not load questions. Please try again later.',
    PleaseSelectPurposeTitle: 'Select purpose',
    PleaseSelectPurposeMessage: 'Please select a purpose before starting this trip.',
    FailedToGetHelp: 'Could not load the help page. Please verify that you have internet access.',
    FailedToGetStats: 'Could not load the statistics page. Please verify that you have internet access.',
    ThanksForTracking: 'Thank you very much for tracking your trip!',
    TrackingFor: 'Has been tracking for '
};

Language_No = {
    Code: 'no',
    Mode_walking: 'Til fots',
    Mode_cycling: 'Sykkel',
    Mode_bus: 'Buss',
    Mode_car: 'Bil',
    Mode_train: 'Tog',
    Mode_tram: 'Trikk',
    Mode_subway: 'T-bane',
    Mode_skateboard: 'Rullebrett/rulleskøyter',
    Mode_segway: 'Segway o.l.',
    Mode_boat: 'Ferje/passasjerbåt',
    Mode_other: 'Annet',
    NoGpsSignal: 'Posisjonen kunne ikke oppdateres. Vennligst sjekk GPS og/eller nettverkstilkoblingen din.',
    MapError: 'Det kan hende kartet ikke viser korrekt, men turen blir sporet likevel.',
    LocalTrips: 'Du har turer som ikke kunne lastes opp. Trykk her for å prøve igjen.',
    UploadNow: 'Last opp nå',
    Purpose_None: 'Velg ...',
    Purpose_ToOwnHome: 'Til eget hjem',
    Purpose_ToOwnWorkplace: 'Til eget arbeid/studiested, eller i tjeneste',
    Purpose_InDuty: 'Reise i tjeneste',
    Purpose_ShoppingErrand: 'Innkjøp/ærend',
    Purpose_AccompanyOthers: 'Følge/hente/bringe andre',
    Purpose_Visit: 'Besøk',
    Purpose_OtherRecreational: 'Annen fritid',
    Purpose_Other: 'Annet',
    Title_Track: 'Spor reise',
    Title_Login: 'Logg inn',
    Title_Info: 'Informasjon',
    Title_Questions: 'Spørsmål',
    Title_Settings: 'Innstillinger',
    Title_Start: 'SMiO Sporingsapp',
    Title_Help: 'Hjelp',
    Title_Statistics: 'Statistikk',
    LogOut: 'Logg ut',
    ChangeLanguage: 'Skift språk',
    StartTrip: 'Start sporing',
    InformationShort: 'Info',
    NoGpsNothingLoggedTitle: 'Utdatert posisjon',
    NoGpsNothingLoggedMessage: 'På grunn av GPS- og/eller nettverksproblem er posisjonen din utdatert. Vennligst forsikre deg om at din GPS fungerer før du prøver å lagre et favorittsted.',
    Error: 'Feil',
    Confirm: 'Bekreft',
    Cancel: 'Avbryt',
    Save: 'Lagre',
    FailedToSaveFavoriteMessage: 'Kunne ikke lagre favorittsted. Vennligst prøv igjen senere.',
    ConfirmDeleteFavoriteMessage: 'Er du sikker på at du vil slette favorittstedet "{0}"?',
    FailedToDeleteFavoriteMessage: "Kunne ikke slette favorittsted. Vennligst prøv igjen senere.",
    PluralSuffix: 'er',
    FailedToUploadTripsMessage: "Kunne ikke laste opp {0} tur{1}. Vennligst prøv igjen senere.",
    DeleteFavorite: 'Fjern favorittsted',
    Worker_SavingTrips: "Lagrer turer ...",
    Worker_SavingTrip: 'Lagrer turen ...',
    Worker_LoggingOut: 'Logger ut ...',
    Worker_LoggingIn: 'Logger inn ...',
    Worker_ChangingLanguage: 'Changing language ...',
    Worker_LoadingQuestions: 'Ser etter spørsmål ...',
    Worker_Loading: 'Laster ...',
    ThisIsYou: 'Du er her!',
    NothingToSaveTitle: "Ingenting å lagre",
    NothingToSaveMessage: "På grunn av GPS- og/eller nettverksproblem ble turen din ikke sporet.",
    StartTracking: 'Start sporing',
    CancelTracking: 'Avbryt',
    Navigation_Back: 'Tilbake',
    NoQuestionsNow: 'Det er ingen spørsmål her nå. Vennligst kikk innom senere!',
    SelectOne: 'Velg et alternativ ...',
    UnsupportedQuestionType: 'Ugyldig spørsmålstype: "{type}"!',
    SubmitAnswers: 'Send svar',
    ConfirmLogOutMessage: 'Er du sikker på at du vil logge deg ut?',
    Setting_GpsHighAccuracy: 'Aktiver høypresisjons-GPS:',
    Form_Email: 'E-post:',
    Form_Password: 'Passord:',
    LogIn: 'Logg inn',
    FailedToLogInTitle: 'Kunne ikke logge inn',
    FailedToLogInMessage: 'Kunne ikke logge inn. Vennligst prøv igjen senere.',
    StopTracking: 'Stopp sporing',
    AddFavorite: 'Lagre favorittsted',
    Favorite_Other: 'Fritidsaktivitet',
    Favorite_School: 'Egen arbeidsplass/studiested',
    Favorite_Kindergarten: 'Barnehage/skole for egne barn',
    Favorite_Home: 'Eget hjem',
    Favorite_NearbyStore: 'Nærbutikk',
    TrackingHelp: 'For å spore en tur, klikk "Start sporing" før turen begynner, og deretter "Stopp sporing" når du har nådd destinasjonen din.<br /><br />Det er til stor hjelp for oss hvis du markerer viktige punkter underveis',
    WhatsHere: 'Hva befinner seg her?',
    ThanksForMarkingImportantPoint: 'Viktig punkt lagret. Takk!',
    MarkImportantLocation: "ved å klikke her",
    FailedToLoadMessagesTitle: 'Feil ved lasting',
    FailedToLoadMessagesMessage: 'Kunne ikke laste inn spørsmål. Vennligst prøv igjen senere.',
    PleaseSelectPurposeTitle: 'Velg hensikt',
    PleaseSelectPurposeMessage: 'Vennligst velg en hensikt før du starter denne turen.',
    FailedToGetHelp: 'Kunne ikke laste inn hjelpesiden. Vennligst kontroller at du har nettilgang.',
    FailedToGetStats: 'Kunne ikke laste inn statistikksiden. Vennligst kontroller at du har nettilgang.',
    ThanksForTracking: 'Tusen takk for at du sporet turen din!',
    TrackingFor: 'Har sporet i '
};

Language = {};

function getCookie(cname) {
    var name = cname + "=";
    var ca = document.cookie.split(';');
    for(var i=0; i<ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0)==' ') c = c.substring(1);
        if (c.indexOf(name) != -1) return c.substring(name.length,c.length);
    }
    return "";
}

SelectedLanguage = getCookie("language");
if(SelectedLanguage===""){
    SelectedLanguage = window.localStorage.getItem("language");
}

if(SelectedLanguage === "en") {
    for (var k in Language_En)
        Language[k] = Language_En[k];
}else{
    for (var k in Language_No)
        Language[k] = Language_No[k];
}